Skip to main content
`Ctrl`+`K`

# MatPartitioningGetType

Gets the Partitioning method type and name (as a string) from the partitioning context.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningGetType(MatPartitioning partitioning, MatPartitioningType *type)

Not Collective

## Input Parameter

- partitioning - the partitioning context

## Output Parameter

- type - partitioner type

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningType`, `MatPartitioningCreate()`, `MatPartitioningRegisterDestroy()`, `MatPartitioningRegisterAll()`

## Level

intermediate

## Location

src/mat/graphops/partition/partition.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages